Package: org.grails.web.servlet.view

## [Java] Class GrailsLayoutViewResolver

- org.grails.web.servlet.view.GrailsLayoutViewResolver

- All Implemented Interfaces and Traits:
    LayoutViewResolver, org.springframework.core.Ordered, org.springframework.web.context.ServletContextAware, org.springframework.context.ApplicationContextAware

      public class GrailsLayoutViewResolver
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected GroovyPageLayoutFinder` | `groovyPageLayoutFinder` |
    `protected org.springframework.web.servlet.ViewResolver` | `innerViewResolver` |
    `protected javax.servlet.ServletContext` | `servletContext` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsLayoutViewResolver (org.springframework.web.servlet.ViewResolver innerViewResolver, GroovyPageLayoutFinder groovyPageLayoutFinder)`
    `GrailsLayoutViewResolver ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.springframework.web.servlet.View` | `createLayoutView(org.springframework.web.servlet.View innerView)`
    `` | `org.springframework.web.servlet.ViewResolver` | `getInnerViewResolver()`
    `` | `int` | `getOrder()`
    `` | `org.springframework.web.servlet.View` | `resolveViewName(java.lang.String viewName, java.util.Locale locale)`
    `` | `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
    `` | `void` | `setGroovyPageLayoutFinder(GroovyPageLayoutFinder groovyPageLayoutFinder)`
    `` | `void` | `setInnerViewResolver(org.springframework.web.servlet.ViewResolver innerViewResolver)`
    `` | `void` | `setOrder(int order)`
    `` | `void` | `setServletContext(javax.servlet.ServletContext servletContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected GroovyPageLayoutFinder groovyPageLayoutFinder

    - #### protected org.springframework.web.servlet.ViewResolver innerViewResolver

    - #### protected javax.servlet.ServletContext servletContext

  - ### Constructor Detail

    - #### public GrailsLayoutViewResolver(org.springframework.web.servlet.ViewResolver innerViewResolver, GroovyPageLayoutFinder groovyPageLayoutFinder)

    - #### public GrailsLayoutViewResolver()

  - ### Method Detail

    - #### protected org.springframework.web.servlet.View createLayoutView(org.springframework.web.servlet.View innerView)

    - #### @java.lang.Override public org.springframework.web.servlet.ViewResolver getInnerViewResolver()

    - #### public int getOrder()

    - #### @java.lang.Override public org.springframework.web.servlet.View resolveViewName(java.lang.String viewName, java.util.Locale locale)

    - #### @java.lang.Override public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

    - #### public void setGroovyPageLayoutFinder(GroovyPageLayoutFinder groovyPageLayoutFinder)

    - #### public void setInnerViewResolver(org.springframework.web.servlet.ViewResolver innerViewResolver)

    - #### public void setOrder(int order)

    - #### @java.lang.Override public void setServletContext(javax.servlet.ServletContext servletContext)